# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KAboutTranslator Class Reference

This structure is used to store information about a translator. More...

`#include <kaboutdata.h>`

Collaboration diagram for KAboutTranslator:

[legend]
List of all members.

## Public Member Functions

| KAboutTranslator (const QString &name=QString::null, const QString &emailAddress=QString::null)
QString | name () const
QString | emailAddress () const

## Detailed Description

This structure is used to store information about a translator.

It can store the translator's name and an email address. This class is intended for use in the KAboutData class, but it can be used elsewhere as well. Normally you should at least define the translator's name.

It's not possible to use KAboutPerson for this, because KAboutPerson stores internally only const char* pointers, but the translator information is generated dynamically from the translation of a dummy string.

Definition at line 132 of file kaboutdata.h.

## Constructor & Destructor Documentation

KAboutTranslator::KAboutTranslator | ( | const QString & | name = `QString::null`,
|  | const QString & | emailAddress = `QString::null`
| ) |

Convenience constructor.

Parameters:

  | name | The name of the person.
  | emailAddress | The email address of the person.

Definition at line 57 of file kaboutdata.cpp.

References emailAddress(), and name().

## Member Function Documentation

QString KAboutTranslator::name | ( |  | ) | const

The translator's name.

Returns:
  the translators's name (can be QString::null, if it has been constructed with a null name)

Definition at line 64 of file kaboutdata.cpp.

Referenced by KAboutTranslator().

QString KAboutTranslator::emailAddress | ( |  | ) | const

The translator's email.

Returns:
  the translator's email address (can be QString::null, if it has been constructed with a null email)

Definition at line 69 of file kaboutdata.cpp.

Referenced by KAboutTranslator().

The documentation for this class was generated from the following files:

- kaboutdata.h
- kaboutdata.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:15 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003